## gap-hapcryst 0.1.13

=== debian/changelog ===
gap-hapcryst (0.1.13-2) unstable; urgency=medium

  * Source-only upload 
  * Clean documentation directories before install (Closes: #1005827).

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 18 Feb 2022 05:56:38 +0100

gap-hapcryst (0.1.13-1) unstable; urgency=low

  [ Joachim Zobel ]
  * Initial release (Closes: #988408). 
  * Created with gap2deb
  * Adapted doc/Makefile
  * Changed Makefile to run makedoc.g twice to work around self dependency
  * Faked debian/gaproot as the main root path to get usable links for the 
    HAPprog book

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Tue, 04 Jan 2022 12:50:06 +0100
