=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2020 Joachim Zobel <jz-2017@heute-morgen.de>

export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
export FORCE_SOURCE_DATE = 1
export LC_ALL = C

debian/gaproot/pkg:
	mkdir -p debian/gaproot/pkg
	ln -s ../../.. debian/gaproot/pkg/HAPcryst
	# This is a HACK. GAPDoc2HTML identifies the MainRootPath by checking for 
	# init.g. Since AutoDoc and GAPDoc are unable to handle multiple books
	# the HAPprog book is considered an external link. Therefore it is necessary
	# to replace debian/gaproot with double dots. We fake it as a MainRootPath
	# to achieve this. An absolute path to polymaking is an acceptable price.
	ln -s /usr/share/gap/lib debian/gaproot/lib

doc: debian/gaproot/pkg
	make -C doc && touch doc

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_test: debian/gaproot/pkg
	gap -q -l 'debian/gaproot;/usr/share/gap' < tst/testall.g | tee debian/gap.tst
	! grep "^########" debian/gap.tst
endif

override_dh_install: doc-clean
	dh_install *.g examples lib usr/share/gap/pkg/HAPcryst

override_dh_installdocs: doc
	dh_installdocs README
	make -C doc install DESTDIR=../debian/gap-hapcryst

override_dh_installchangelogs:
	dh_installchangelogs  CHANGES

doc-clean:
	make -C doc clean

clean: doc-clean
	dh_testdir
	dh_testroot
	rm -rf debian/gaproot
	rm -f debian/gap.tst
	dh_clean

%:
	dh $@

.PHONY: execute_after_dh_auto_test execute_after_dh_auto_build clean override_dh_install override_dh_installdocs override_dh_installchangelogs
