## gap-hapcryst 0.1.14

=== debian/changelog ===
gap-hapcryst (0.1.14-1) unstable; urgency=medium

  * New upstream release
  * Removed patch tst-whitespace obsoleted by upstream

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sun, 17 Jul 2022 13:58:11 +0200
