## gap-hapcryst 0.1.15

=== debian/changelog ===
gap-hapcryst (0.1.15-4) unstable; urgency=medium

  * Moved the tests to autopkgtest (Closes: #1067296) 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 19 Apr 2024 19:19:57 +0200

gap-hapcryst (0.1.15-3) unstable; urgency=medium

  * Trigger build to resolve FTBFS 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Thu, 30 Nov 2023 19:16:42 +0100

gap-hapcryst (0.1.15-2) unstable; urgency=medium

  * Fixed: polymake tests need an absolute path to gaproot
  * Aligned with gap2deb output
  * Improved test failure detection 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 26 Jul 2023 09:11:13 +0200

gap-hapcryst (0.1.15-1) unstable; urgency=medium

  * New upstream release 
  * Fixed absolute path to polymaking in generated html

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Tue, 08 Nov 2022 07:21:33 +0100
