=== debian/control ===
Source: gap-hapcryst
Section: math
Priority: optional
Maintainer: Joachim Zobel <jz-2017@heute-morgen.de>
Build-Depends: debhelper-compat (= 12), gap (>= 4r7), gap-crystcat (>=1.1.9), 
 gap-hap, gap-polymaking, gap-smallgrp, gap-transgrp, 
 gap-doc, gap-autodoc,
 texlive-fonts-recommended, texlive-latex-extra, cm-super
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.gap-system.org/Packages/hapcryst.html

Package: gap-hapcryst
Provides: gap-pkg-hapcryst
Depends: ${misc:Depends}, gap-polycyclic, gap-aclib, gap-cryst, gap-hap, gap-polymaking
Recommends: gap
Suggests: gap-carat, gap-crystcat, gap-gapdoc
Architecture: all
Description: GAP HAPcryst - A HAP extension for crystallographic groups
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This is an extension to the HAP package by Graham Ellis. It implements
 geometric methods for the calculation of resolutions of Bieberbach groups.
