=== debian/rules ===
--- 
+++ 
@@ -12,20 +12,26 @@
 	# init.g. Since AutoDoc and GAPDoc are unable to handle multiple books
 	# the HAPprog book is considered an external link. Therefore it is necessary
 	# to replace debian/gaproot with double dots. We fake it as a MainRootPath
-	# to achieve this. An absolute path to polymaking is an acceptable price.
+	# to achieve this. 
 	ln -s /usr/share/gap/lib debian/gaproot/lib
+	# This prevents an absolute path to polymaking as a result of the above.
+	ln -s /usr/share/gap/pkg/polymaking debian/gaproot/pkg/polymaking
 
 doc: debian/gaproot/pkg
 	make -C doc && touch doc
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_test: debian/gaproot/pkg
-	gap -q -l 'debian/gaproot;/usr/share/gap' < tst/testall.g | tee debian/gap.tst
-	! grep "^########" debian/gap.tst
+	gap -q -l "$(CURDIR)/debian/gaproot;/usr/share/gap" < tst/testall.g | tee debian/gap.tst
+	grep -q "^#I  No errors detected while testing" debian/gap.tst
 endif
 
 override_dh_install: doc-clean
-	dh_install *.g examples lib usr/share/gap/pkg/HAPcryst
+	dh_install *.g examples lib tst usr/share/gap/pkg/HAPcryst
+
+override_dh_fixperms:
+	dh_fixperms -X.tst
+	chmod g-w debian/gap-hapcryst/usr/share/gap/pkg/HAPcryst/tst/*.tst
 
 override_dh_installdocs: doc
 	dh_installdocs README
