=== debian/tests/control ===
Tests: testall
Depends: @, gap
# This ends up installing gcc
# Restrictions: needs-recommends
